unit AnimationrigNull;

interface

uses SysUtils,Classes,Contnrs,
     Animationrig,AnimationrigMisc,AnimationrigState;

type
  TAnimrigStateNullRenderer = class(TAnimrigStateRenderer)
    protected
    public
      constructor Create;

      // common
      procedure Update(deltatime:double); override;
  end;

implementation

{ TAnimrigStateNullRenderer }

constructor TAnimrigStateNullRenderer.Create;
begin
  inherited;

  fObjectType := anoNull;

  Clear;
end;

procedure TAnimrigStateNullRenderer.Update(deltatime: double);
begin
  //
end;

end.
